Bug 135166 - 'packages flagged for skipping' are still added to 'availble updates' list
'packages flagged for skipping' are still added to 'availble updates' list
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 12:31 EDT by Jan Wagner
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Wagner 2004-10-09 12:31:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040904 Firefox/0.9.3

Description of problem:
When you select packages to flag for skipping, in the next step these
same packages are still added to the "available package updates" list.
Worse yet, they are set as selected, by default!

Version-Release number of selected component (if applicable):
up2date-4.3.38-1.1

How reproducible:
Always

Steps to Reproduce:
1. run up2date
2. 'select all' in the list of pkgs to skip, click next
3. notice packages in the 'available updates list' ;-)
    

Expected Results:  That packages that are selected to be skipped are
indeed skipped. Meaning also that they won't be displayed in the next
step, in the available updates list.

Additional info:
Comment 1 Joel Rittvo 2004-10-09 15:38:29 EDT
They are handled correctly in the Notification icon tool tip, as
"ignored" rather than "available", but they do still list for update
as noted here.
Comment 2 Matthew Miller 2006-07-10 17:18:26 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:05:23 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.